import { createRouter, createWebHashHistory } from 'vue-router'

const routes = [
    {
        path: '/',
        name: 'home',
        component: () => import('@/view/home.vue'),
        redirect: "/index",
        children: [
            {
                path: '/index',
                name: 'index',
                component: () => import('@/view/index.vue'),
            },
            {
                path: '/tradeScreen',
                name: 'tradeScreen',
                component: () => import('@/view/tradeScreen/index.vue'),
            },
            {
                path: '/storeLogin',
                name: 'storeLogin',
                component: () => import('@/view/tradeScreen/storeLogin.vue'),
            },
            {
                path: '/plantScreen',
                name: 'plantScreen',
                component: () => import('@/view/plantScreen/index.vue'),
            },
            {
                path: '/logisticsScreen',
                name: 'logisticsScreen',
                component: () => import('@/view/logisticsScreen/index.vue'),
            },
            {
                path: '/breedScreen',
                name: 'breedScreen',
                component: () => import('@/view/breedScreen/index.vue'),
            },

        ]
    },
    // {
    //     path: '/login',
    //     name: 'login',
    //     component: () => import('@/view/login.vue'),
    // },



]

const router = createRouter({
    history: createWebHashHistory(),
    routes
})

router.beforeEach(async (to, from, next) => {

   
    next()  //放行
})


export default router