import { defineStore } from "pinia"
import { ref } from "vue"

export const useBreedStore = defineStore('app', () => {

    const address = ref(JSON.parse(localStorage.getItem('address') || '{}'));
    if (!address.value.areaCode) {
        address.value = { areaCode: 510502, streetCode: '' };
    }

    const setAddress = (e) => {
        address.value.areaCode = e.areaCode;
        address.value.streetCode = e.streetCode;
        localStorage.setItem('address', JSON.stringify(e));
    }

    return {
        address,
        setAddress,
    }
})