import {
    defineStore
} from 'pinia'

const lastMouth = () => {
    var thirtyDaysAgo = new Date();
    thirtyDaysAgo.setDate(thirtyDaysAgo.getDate() - 30); // 设置为30天前的日期

    var year = thirtyDaysAgo.getFullYear();
    var month = thirtyDaysAgo.getMonth() + 1; // 月份从0开始，需要加1
    var day = thirtyDaysAgo.getDate();

    // 格式化为字符串，如果需要补0可以使用padStart函数
    var formattedDate = year + '-' + month.toString().padStart(2, '0') + '-' + day.toString().padStart(2, '0');


    return formattedDate

}
const now = () => {
    // 创建一个新的Date对象，表示当前日期和时间
    var today = new Date();

    // 获取年、月、日
    var year = today.getFullYear();
    var month = today.getMonth() + 1; // 月份从0开始，需要加1
    var day = today.getDate();

    // 格式化为字符串
    var formattedDate = year + "-" + month + "-" + day;
    return formattedDate



}

export const areaObj = defineStore('counter', {
    state: () => ({
        userInfo: {},
        // 普通用户请求的参数
        area: {
            // areaCode: 510524,
            // streetCode: 51052410

        },
        time: [lastMouth(), now()],
        // 商户请求的参数
        store: {
            areaCode: "",
            streetCode: "",
            mer_id: ""

        }
    }),
    getters: {},
    actions: {
        changeArea(obj) {
            this.area = obj
        },
        changeUserInfo(obj) {
            this.userInfo = obj


            if (obj?.user?.merchant) {
                let { area_id, mer_id, street_id } = obj.user.merchant
                this.store.areaCode = area_id
                this.store.streetCode = street_id
                this.store.mer_id = mer_id
            }

        },
        changeTime(times) {
            this.time = times
        },
        storeLogin(obj) {
            this.userInfo.user = obj
        }

    }
})